Discussion:
Install / Run problem on linux: device not open, and shader not linked
Add Reply
'Andreas' via mnemosyne-proj-users
2018-09-23 08:10:21 UTC
Reply
Permalink
Dear all,
I am trying to run mnemosyne on debian, and I have installed the
deb-package 2.6.1+ds-1.

Unfortunately, I get the following output when trying to start it up:

libpng warning: iCCP: known incorrect sRGB profile
libpng warning: iCCP: known incorrect sRGB profile
libpng warning: iCCP: known incorrect sRGB profile
libpng warning: iCCP: known incorrect sRGB profile
libpng warning: iCCP: known incorrect sRGB profile
QIODevice::write (QProcess): device not open
QOpenGLFramebufferObject: Unsupported framebuffer format.
QOpenGLFramebufferObject: Unsupported framebuffer format.
QOpenGLFramebufferObject: Unsupported framebuffer format.
QOpenGLFramebufferObject: Unsupported framebuffer format.
QIODevice::write (QProcess): device not open
QOpenGLShaderProgram: could not create shader program
QOpenGLShader: could not create shader
Could not link shader program:
""
Received signal 11 SEGV_MAPERR 000000000000
#0 0x0000b0eb41fb <unknown>
#1 0x0000b0eb4802 <unknown>
#2 0x0000b0eb4ded <unknown>
#3 0x0000b7f50d10 ([vdso]+0xd0f)
#4 0x0000b7d02cc8 <unknown>
#5 0x0000b7d00ee5 <unknown>
#6 0x0000b7304e01 <unknown>
#7 0x0000b7305024 <unknown>
#8 0x0000b7304c7b <unknown>
#9 0x0000b6381cfe <unknown>
gs: 00000033 fs: 00000000 es: 0000007b ds: 0000007b
edi: 0000000f esi: 00000310 ebp: bfa730f8 esp: bfa730a8
ebx: b7d02cc8 edx: 0a3cc8ec ecx: 00000008 eax: 00000000
trp: 0000000e err: 00000004 ip: b7d02cc8 cs: 00000073
efl: 00210283 usp: bfa730a8 ss: 0000007b
[end of stack trace]
Calling _exit(1). Core file will not be generated.

According to my analysis, there are two potential problems:
a) the "device not open" might indicate that some (config) file is either
not writeable, or the directory is not existing
b) the "shader" error I don't understand at all. It might be related to my
graphics card driver, but I have not made any progress on that end.

Any idea would be highly appreciated!
Thanks, Andreas
--
You received this message because you are subscribed to the Google Groups "mnemosyne-proj-users" group.
To unsubscribe from this group and stop receiving emails from it, send an email to mnemosyne-proj-users+***@googlegroups.com.
To post to this group, send email to mnemosyne-proj-***@googlegroups.com.
To view this discussion on the web visit https://groups.google.com/d/msgid/mnemosyne-proj-users/cf1206ea-b2d1-4f77-b91f-b591bb726e9e%40googlegroups.com.
For more options, visit https://groups.google.com/d/optout.
Peter Bienstman
2018-09-23 08:24:34 UTC
Reply
Permalink
Hi,

The ‘device not open’ should be harmless, I also so this under Windows.

However, for the graphics card problem, I’m afraid you’ll have to contact the Debian packager, as I’m not involved in that aspect.

Cheers,

Peter

From: 'Andreas' via mnemosyne-proj-users <mnemosyne-proj-***@googlegroups.com>
Sent: 23 September 2018 10:10
To: mnemosyne-proj-users <mnemosyne-proj-***@googlegroups.com>
Subject: [mnemosyne-proj-users] Install / Run problem on linux: device not open, and shader not linked

Dear all,
I am trying to run mnemosyne on debian, and I have installed the deb-package 2.6.1+ds-1.

Unfortunately, I get the following output when trying to start it up:

libpng warning: iCCP: known incorrect sRGB profile
libpng warning: iCCP: known incorrect sRGB profile
libpng warning: iCCP: known incorrect sRGB profile
libpng warning: iCCP: known incorrect sRGB profile
libpng warning: iCCP: known incorrect sRGB profile
QIODevice::write (QProcess): device not open
QOpenGLFramebufferObject: Unsupported framebuffer format.
QOpenGLFramebufferObject: Unsupported framebuffer format.
QOpenGLFramebufferObject: Unsupported framebuffer format.
QOpenGLFramebufferObject: Unsupported framebuffer format.
QIODevice::write (QProcess): device not open
QOpenGLShaderProgram: could not create shader program
QOpenGLShader: could not create shader
Could not link shader program:
""
Received signal 11 SEGV_MAPERR 000000000000
#0 0x0000b0eb41fb <unknown>
#1 0x0000b0eb4802 <unknown>
#2 0x0000b0eb4ded <unknown>
#3 0x0000b7f50d10 ([vdso]+0xd0f)
#4 0x0000b7d02cc8 <unknown>
#5 0x0000b7d00ee5 <unknown>
#6 0x0000b7304e01 <unknown>
#7 0x0000b7305024 <unknown>
#8 0x0000b7304c7b <unknown>
#9 0x0000b6381cfe <unknown>
gs: 00000033 fs: 00000000 es: 0000007b ds: 0000007b
edi: 0000000f esi: 00000310 ebp: bfa730f8 esp: bfa730a8
ebx: b7d02cc8 edx: 0a3cc8ec ecx: 00000008 eax: 00000000
trp: 0000000e err: 00000004 ip: b7d02cc8 cs: 00000073
efl: 00210283 usp: bfa730a8 ss: 0000007b
[end of stack trace]
Calling _exit(1). Core file will not be generated.

According to my analysis, there are two potential problems:
a) the "device not open" might indicate that some (config) file is either not writeable, or the directory is not existing
b) the "shader" error I don't understand at all. It might be related to my graphics card driver, but I have not made any progress on that end.

Any idea would be highly appreciated!
Thanks, Andreas
--
You received this message because you are subscribed to the Google Groups "mnemosyne-proj-users" group.
To unsubscribe from this group and stop receiving emails from it, send an email to mnemosyne-proj-users+***@googlegroups.com<mailto:mnemosyne-proj-users+***@googlegroups.com>.
To post to this group, send email to mnemosyne-proj-***@googlegroups.com<mailto:mnemosyne-proj-***@googlegroups.com>.
To view this discussion on the web visit https://groups.google.com/d/msgid/mnemosyne-proj-users/cf1206ea-b2d1-4f77-b91f-b591bb726e9e%40googlegroups.com<https://groups.google.com/d/msgid/mnemosyne-proj-users/cf1206ea-b2d1-4f77-b91f-b591bb726e9e%40googlegroups.com?utm_medium=email&utm_source=footer>.
For more options, visit https://groups.google.com/d/optout.
--
You received this message because you are subscribed to the Google Groups "mnemosyne-proj-users" group.
To unsubscribe from this group and stop receiving emails from it, send an email to mnemosyne-proj-users+***@googlegroups.com.
To post to this group, send email to mnemosyne-proj-***@googlegroups.com.
To view this discussion on the web visit https://groups.google.com/d/msgid/mnemosyne-proj-users/ed1d0ec8729a4d2b9d8188e48816f562%40xmail101.UGent.be.
For more options, visit https://groups.google.com/d/optout.
'Andreas' via mnemosyne-proj-users
2018-09-24 04:19:45 UTC
Reply
Permalink
Ok, thanks! I think I will try the tarball next.
Best, Andreas
--
You received this message because you are subscribed to the Google Groups "mnemosyne-proj-users" group.
To unsubscribe from this group and stop receiving emails from it, send an email to mnemosyne-proj-users+***@googlegroups.com.
To post to this group, send email to mnemosyne-proj-***@googlegroups.com.
To view this discussion on the web visit https://groups.google.com/d/msgid/mnemosyne-proj-users/6d9dded8-12ce-425a-8ade-8d36eb0c806c%40googlegroups.com.
For more options, visit https://groups.google.com/d/optout.
'Andreas' via mnemosyne-proj-users
2018-09-24 18:51:44 UTC
Reply
Permalink
Dear all,
I contacted Robert; however, I also tried to install from the tarball:
I got a bit further - the default python on my system was python2, which I
changed now to python3.

However, the version compiled from the tarball generated the exact same
error messages. :-(
(I haven't deinstalled the package, but normally they shouldn't interfere)

Best regards, Andreas
Post by 'Andreas' via mnemosyne-proj-users
Dear all,
I am trying to run mnemosyne on debian, and I have installed the
deb-package 2.6.1+ds-1.
libpng warning: iCCP: known incorrect sRGB profile
libpng warning: iCCP: known incorrect sRGB profile
libpng warning: iCCP: known incorrect sRGB profile
libpng warning: iCCP: known incorrect sRGB profile
libpng warning: iCCP: known incorrect sRGB profile
QIODevice::write (QProcess): device not open
QOpenGLFramebufferObject: Unsupported framebuffer format.
QOpenGLFramebufferObject: Unsupported framebuffer format.
QOpenGLFramebufferObject: Unsupported framebuffer format.
QOpenGLFramebufferObject: Unsupported framebuffer format.
QIODevice::write (QProcess): device not open
QOpenGLShaderProgram: could not create shader program
QOpenGLShader: could not create shader
""
Received signal 11 SEGV_MAPERR 000000000000
#0 0x0000b0eb41fb <unknown>
#1 0x0000b0eb4802 <unknown>
#2 0x0000b0eb4ded <unknown>
#3 0x0000b7f50d10 ([vdso]+0xd0f)
#4 0x0000b7d02cc8 <unknown>
#5 0x0000b7d00ee5 <unknown>
#6 0x0000b7304e01 <unknown>
#7 0x0000b7305024 <unknown>
#8 0x0000b7304c7b <unknown>
#9 0x0000b6381cfe <unknown>
gs: 00000033 fs: 00000000 es: 0000007b ds: 0000007b
edi: 0000000f esi: 00000310 ebp: bfa730f8 esp: bfa730a8
ebx: b7d02cc8 edx: 0a3cc8ec ecx: 00000008 eax: 00000000
trp: 0000000e err: 00000004 ip: b7d02cc8 cs: 00000073
efl: 00210283 usp: bfa730a8 ss: 0000007b
[end of stack trace]
Calling _exit(1). Core file will not be generated.
a) the "device not open" might indicate that some (config) file is either
not writeable, or the directory is not existing
b) the "shader" error I don't understand at all. It might be related to my
graphics card driver, but I have not made any progress on that end.
Any idea would be highly appreciated!
Thanks, Andreas
--
You received this message because you are subscribed to the Google Groups "mnemosyne-proj-users" group.
To unsubscribe from this group and stop receiving emails from it, send an email to mnemosyne-proj-users+***@googlegroups.com.
To post to this group, send email to mnemosyne-proj-***@googlegroups.com.
To view this discussion on the web visit https://groups.google.com/d/msgid/mnemosyne-proj-users/e9bc90f5-569b-4f25-8723-6ff50c068a1f%40googlegroups.com.
For more options, visit https://groups.google.com/d/optout.
Oisín Mac Fhearaí
2018-09-24 21:06:45 UTC
Reply
Permalink
Post by 'Andreas' via mnemosyne-proj-users
Dear all,
I got a bit further - the default python on my system was python2, which I
changed now to python3.
However, the version compiled from the tarball generated the exact same
error messages. :-(
(I haven't deinstalled the package, but normally they shouldn't interfere)
Best regards, Andreas
It sounds like this issue may have existed in Ubuntu some time ago, caused
by a mismatch between an installed NVidia graphics driver conflicting with
the libGL.so build:

https://forum.qt.io/topic/81328/ubuntu-qopenglshaderprogram-shader-program-is-not-linked/2

The workaround there was to add these lines during program initialisation:

if sys.platform.startswith('linux'):
from OpenGL import GL
Post by 'Andreas' via mnemosyne-proj-users
Post by 'Andreas' via mnemosyne-proj-users
Dear all,
I am trying to run mnemosyne on debian, and I have installed the
deb-package 2.6.1+ds-1.
libpng warning: iCCP: known incorrect sRGB profile
libpng warning: iCCP: known incorrect sRGB profile
libpng warning: iCCP: known incorrect sRGB profile
libpng warning: iCCP: known incorrect sRGB profile
libpng warning: iCCP: known incorrect sRGB profile
QIODevice::write (QProcess): device not open
QOpenGLFramebufferObject: Unsupported framebuffer format.
QOpenGLFramebufferObject: Unsupported framebuffer format.
QOpenGLFramebufferObject: Unsupported framebuffer format.
QOpenGLFramebufferObject: Unsupported framebuffer format.
QIODevice::write (QProcess): device not open
QOpenGLShaderProgram: could not create shader program
QOpenGLShader: could not create shader
""
Received signal 11 SEGV_MAPERR 000000000000
#0 0x0000b0eb41fb <unknown>
#1 0x0000b0eb4802 <unknown>
#2 0x0000b0eb4ded <unknown>
#3 0x0000b7f50d10 ([vdso]+0xd0f)
#4 0x0000b7d02cc8 <unknown>
#5 0x0000b7d00ee5 <unknown>
#6 0x0000b7304e01 <unknown>
#7 0x0000b7305024 <unknown>
#8 0x0000b7304c7b <unknown>
#9 0x0000b6381cfe <unknown>
gs: 00000033 fs: 00000000 es: 0000007b ds: 0000007b
edi: 0000000f esi: 00000310 ebp: bfa730f8 esp: bfa730a8
ebx: b7d02cc8 edx: 0a3cc8ec ecx: 00000008 eax: 00000000
trp: 0000000e err: 00000004 ip: b7d02cc8 cs: 00000073
efl: 00210283 usp: bfa730a8 ss: 0000007b
[end of stack trace]
Calling _exit(1). Core file will not be generated.
a) the "device not open" might indicate that some (config) file is either
not writeable, or the directory is not existing
b) the "shader" error I don't understand at all. It might be related to
my graphics card driver, but I have not made any progress on that end.
Any idea would be highly appreciated!
Thanks, Andreas
--
You received this message because you are subscribed to the Google Groups "mnemosyne-proj-users" group.
To unsubscribe from this group and stop receiving emails from it, send an email to mnemosyne-proj-users+***@googlegroups.com.
To post to this group, send email to mnemosyne-proj-***@googlegroups.com.
To view this discussion on the web visit https://groups.google.com/d/msgid/mnemosyne-proj-users/3cae314b-e0e5-4961-bed5-295d9dab3207%40googlegroups.com.
For more options, visit https://groups.google.com/d/optout.
Peter Bienstman
2018-09-25 06:18:56 UTC
Reply
Permalink
Interesting, thanks for tracking this down!

Andreas, if this turns out to work for you, I could add this to Mnemosyne’s code, provided there are no side-effects/issues for other linux distributions.

The file you need to add these lines to is ‘mnemosyne’, just add them at the top.

Cheers,

Peter

From: mnemosyne-proj-***@googlegroups.com <mnemosyne-proj-***@googlegroups.com> On Behalf Of Oisín Mac Fhearaí
Sent: 24 September 2018 23:07
To: mnemosyne-proj-users <mnemosyne-proj-***@googlegroups.com>
Subject: [mnemosyne-proj-users] Re: Install / Run problem on linux: device not open, and shader not linked



On Monday, September 24, 2018 at 7:51:44 PM UTC+1, Andreas wrote:
Dear all,
I contacted Robert; however, I also tried to install from the tarball:
I got a bit further - the default python on my system was python2, which I changed now to python3.

However, the version compiled from the tarball generated the exact same error messages. :-(
(I haven't deinstalled the package, but normally they shouldn't interfere)

Best regards, Andreas


It sounds like this issue may have existed in Ubuntu some time ago, caused by a mismatch between an installed NVidia graphics driver conflicting with the libGL.so build:

https://forum.qt.io/topic/81328/ubuntu-qopenglshaderprogram-shader-program-is-not-linked/2

The workaround there was to add these lines during program initialisation:


if sys.platform.startswith('linux'):
from OpenGL import GL



Am Sonntag, 23. September 2018 10:22:15 UTC+2 schrieb Andreas:
Dear all,
I am trying to run mnemosyne on debian, and I have installed the deb-package 2.6.1+ds-1.

Unfortunately, I get the following output when trying to start it up:

libpng warning: iCCP: known incorrect sRGB profile
libpng warning: iCCP: known incorrect sRGB profile
libpng warning: iCCP: known incorrect sRGB profile
libpng warning: iCCP: known incorrect sRGB profile
libpng warning: iCCP: known incorrect sRGB profile
QIODevice::write (QProcess): device not open
QOpenGLFramebufferObject: Unsupported framebuffer format.
QOpenGLFramebufferObject: Unsupported framebuffer format.
QOpenGLFramebufferObject: Unsupported framebuffer format.
QOpenGLFramebufferObject: Unsupported framebuffer format.
QIODevice::write (QProcess): device not open
QOpenGLShaderProgram: could not create shader program
QOpenGLShader: could not create shader
Could not link shader program:
""
Received signal 11 SEGV_MAPERR 000000000000
#0 0x0000b0eb41fb <unknown>
#1 0x0000b0eb4802 <unknown>
#2 0x0000b0eb4ded <unknown>
#3 0x0000b7f50d10 ([vdso]+0xd0f)
#4 0x0000b7d02cc8 <unknown>
#5 0x0000b7d00ee5 <unknown>
#6 0x0000b7304e01 <unknown>
#7 0x0000b7305024 <unknown>
#8 0x0000b7304c7b <unknown>
#9 0x0000b6381cfe <unknown>
gs: 00000033 fs: 00000000 es: 0000007b ds: 0000007b
edi: 0000000f esi: 00000310 ebp: bfa730f8 esp: bfa730a8
ebx: b7d02cc8 edx: 0a3cc8ec ecx: 00000008 eax: 00000000
trp: 0000000e err: 00000004 ip: b7d02cc8 cs: 00000073
efl: 00210283 usp: bfa730a8 ss: 0000007b
[end of stack trace]
Calling _exit(1). Core file will not be generated.

According to my analysis, there are two potential problems:
a) the "device not open" might indicate that some (config) file is either not writeable, or the directory is not existing
b) the "shader" error I don't understand at all. It might be related to my graphics card driver, but I have not made any progress on that end.

Any idea would be highly appreciated!
Thanks, Andreas
--
You received this message because you are subscribed to the Google Groups "mnemosyne-proj-users" group.
To unsubscribe from this group and stop receiving emails from it, send an email to mnemosyne-proj-users+***@googlegroups.com<mailto:mnemosyne-proj-users+***@googlegroups.com>.
To post to this group, send email to mnemosyne-proj-***@googlegroups.com<mailto:mnemosyne-proj-***@googlegroups.com>.
To view this discussion on the web visit https://groups.google.com/d/msgid/mnemosyne-proj-users/3cae314b-e0e5-4961-bed5-295d9dab3207%40googlegroups.com<https://groups.google.com/d/msgid/mnemosyne-proj-users/3cae314b-e0e5-4961-bed5-295d9dab3207%40googlegroups.com?utm_medium=email&utm_source=footer>.
For more options, visit https://groups.google.com/d/optout.
--
You received this message because you are subscribed to the Google Groups "mnemosyne-proj-users" group.
To unsubscribe from this group and stop receiving emails from it, send an email to mnemosyne-proj-users+***@googlegroups.com.
To post to this group, send email to mnemosyne-proj-***@googlegroups.com.
To view this discussion on the web visit https://groups.google.com/d/msgid/mnemosyne-proj-users/adc4fbc3ff1145fab9bcafc449e20230%40xmail101.UGent.be.
For more options, visit https://groups.google.com/d/optout.
'Andreas Balser' via mnemosyne-proj-users
2018-09-25 06:25:47 UTC
Reply
Permalink
If I am not totally mistaken, this import statement is already present,
including output of a warning if it fails.
To make sure, I also had pasted it in one more time near the top, but it
did whelp. Unless there is a specific place where it needs to go?
Post by Peter Bienstman
Interesting, thanks for tracking this down!
Andreas, if this turns out to work for you, I could add this to
Mnemosyne’s code, provided there are no side-effects/issues for other linux
distributions.
The file you need to add these lines to is ‘mnemosyne’, just add them at the top.
Cheers,
Peter
*Sent:* 24 September 2018 23:07
device not open, and shader not linked
Dear all,
I got a bit further - the default python on my system was python2, which I
changed now to python3.
However, the version compiled from the tarball generated the exact same error messages. :-(
(I haven't deinstalled the package, but normally they shouldn't interfere)
Best regards, Andreas
It sounds like this issue may have existed in Ubuntu some time ago, caused
by a mismatch between an installed NVidia graphics driver conflicting with
https://forum.qt.io/topic/81328/ubuntu-qopenglshaderprogram-shader-program-is-not-linked/2
from OpenGL import GL
Dear all,
I am trying to run mnemosyne on debian, and I have installed the deb-package 2.6.1+ds-1.
libpng warning: iCCP: known incorrect sRGB profile
libpng warning: iCCP: known incorrect sRGB profile
libpng warning: iCCP: known incorrect sRGB profile
libpng warning: iCCP: known incorrect sRGB profile
libpng warning: iCCP: known incorrect sRGB profile
QIODevice::write (QProcess): device not open
QOpenGLFramebufferObject: Unsupported framebuffer format.
QOpenGLFramebufferObject: Unsupported framebuffer format.
QOpenGLFramebufferObject: Unsupported framebuffer format.
QOpenGLFramebufferObject: Unsupported framebuffer format.
QIODevice::write (QProcess): device not open
QOpenGLShaderProgram: could not create shader program
QOpenGLShader: could not create shader
""
Received signal 11 SEGV_MAPERR 000000000000
#0 0x0000b0eb41fb <unknown>
#1 0x0000b0eb4802 <unknown>
#2 0x0000b0eb4ded <unknown>
#3 0x0000b7f50d10 ([vdso]+0xd0f)
#4 0x0000b7d02cc8 <unknown>
#5 0x0000b7d00ee5 <unknown>
#6 0x0000b7304e01 <unknown>
#7 0x0000b7305024 <unknown>
#8 0x0000b7304c7b <unknown>
#9 0x0000b6381cfe <unknown>
gs: 00000033 fs: 00000000 es: 0000007b ds: 0000007b
edi: 0000000f esi: 00000310 ebp: bfa730f8 esp: bfa730a8
ebx: b7d02cc8 edx: 0a3cc8ec ecx: 00000008 eax: 00000000
trp: 0000000e err: 00000004 ip: b7d02cc8 cs: 00000073
efl: 00210283 usp: bfa730a8 ss: 0000007b
[end of stack trace]
Calling _exit(1). Core file will not be generated.
a) the "device not open" might indicate that some (config) file is either
not writeable, or the directory is not existing
b) the "shader" error I don't understand at all. It might be related to my
graphics card driver, but I have not made any progress on that end.
Any idea would be highly appreciated!
Thanks, Andreas
--
You received this message because you are subscribed to the Google Groups
"mnemosyne-proj-users" group.
To unsubscribe from this group and stop receiving emails from it, send an
.
To view this discussion on the web visit
https://groups.google.com/d/msgid/mnemosyne-proj-users/3cae314b-e0e5-4961-bed5-295d9dab3207%40googlegroups.com
<https://groups.google.com/d/msgid/mnemosyne-proj-users/3cae314b-e0e5-4961-bed5-295d9dab3207%40googlegroups.com?utm_medium=email&utm_source=footer>
.
For more options, visit https://groups.google.com/d/optout.
--
You received this message because you are subscribed to the Google Groups
"mnemosyne-proj-users" group.
To unsubscribe from this group and stop receiving emails from it, send an
.
To view this discussion on the web visit
https://groups.google.com/d/msgid/mnemosyne-proj-users/adc4fbc3ff1145fab9bcafc449e20230%40xmail101.UGent.be
<https://groups.google.com/d/msgid/mnemosyne-proj-users/adc4fbc3ff1145fab9bcafc449e20230%40xmail101.UGent.be?utm_medium=email&utm_source=footer>
.
For more options, visit https://groups.google.com/d/optout.
--
You received this message because you are subscribed to the Google Groups "mnemosyne-proj-users" group.
To unsubscribe from this group and stop receiving emails from it, send an email to mnemosyne-proj-users+***@googlegroups.com.
To post to this group, send email to mnemosyne-proj-***@googlegroups.com.
To view this discussion on the web visit https://groups.google.com/d/msgid/mnemosyne-proj-users/CAC%2BmgacJj1J5GYHsNG%3DXFLqr_TcuGzoENV6r-xJJhmath6SVJg%40mail.gmail.com.
For more options, visit https://groups.google.com/d/optout.
Peter Bienstman
2018-09-25 06:33:25 UTC
Reply
Permalink
Oops, forgot about this.

How about removing that statement?

Cheers,

Peter

From: 'Andreas Balser' via mnemosyne-proj-users <mnemosyne-proj-***@googlegroups.com>
Sent: 25 September 2018 08:26
To: mnemosyne-proj-***@googlegroups.com
Subject: Re: [mnemosyne-proj-users] Re: Install / Run problem on linux: device not open, and shader not linked

If I am not totally mistaken, this import statement is already present, including output of a warning if it fails.
To make sure, I also had pasted it in one more time near the top, but it did whelp. Unless there is a specific place where it needs to go?

Peter Bienstman <***@ugent.be<mailto:***@ugent.be>> schrieb am Di., 25. Sep. 2018, 08:21:
Interesting, thanks for tracking this down!

Andreas, if this turns out to work for you, I could add this to Mnemosyne’s code, provided there are no side-effects/issues for other linux distributions.

The file you need to add these lines to is ‘mnemosyne’, just add them at the top.

Cheers,

Peter

From: mnemosyne-proj-***@googlegroups.com<mailto:mnemosyne-proj-***@googlegroups.com> <mnemosyne-proj-***@googlegroups.com<mailto:mnemosyne-proj-***@googlegroups.com>> On Behalf Of Oisín Mac Fhearaí
Sent: 24 September 2018 23:07
To: mnemosyne-proj-users <mnemosyne-proj-***@googlegroups.com<mailto:mnemosyne-proj-***@googlegroups.com>>
Subject: [mnemosyne-proj-users] Re: Install / Run problem on linux: device not open, and shader not linked



On Monday, September 24, 2018 at 7:51:44 PM UTC+1, Andreas wrote:
Dear all,
I contacted Robert; however, I also tried to install from the tarball:
I got a bit further - the default python on my system was python2, which I changed now to python3.

However, the version compiled from the tarball generated the exact same error messages. :-(
(I haven't deinstalled the package, but normally they shouldn't interfere)

Best regards, Andreas


It sounds like this issue may have existed in Ubuntu some time ago, caused by a mismatch between an installed NVidia graphics driver conflicting with the libGL.so build:

https://forum.qt.io/topic/81328/ubuntu-qopenglshaderprogram-shader-program-is-not-linked/2

The workaround there was to add these lines during program initialisation:


if sys.platform.startswith('linux'):
from OpenGL import GL



Am Sonntag, 23. September 2018 10:22:15 UTC+2 schrieb Andreas:
Dear all,
I am trying to run mnemosyne on debian, and I have installed the deb-package 2.6.1+ds-1.

Unfortunately, I get the following output when trying to start it up:

libpng warning: iCCP: known incorrect sRGB profile
libpng warning: iCCP: known incorrect sRGB profile
libpng warning: iCCP: known incorrect sRGB profile
libpng warning: iCCP: known incorrect sRGB profile
libpng warning: iCCP: known incorrect sRGB profile
QIODevice::write (QProcess): device not open
QOpenGLFramebufferObject: Unsupported framebuffer format.
QOpenGLFramebufferObject: Unsupported framebuffer format.
QOpenGLFramebufferObject: Unsupported framebuffer format.
QOpenGLFramebufferObject: Unsupported framebuffer format.
QIODevice::write (QProcess): device not open
QOpenGLShaderProgram: could not create shader program
QOpenGLShader: could not create shader
Could not link shader program:
""
Received signal 11 SEGV_MAPERR 000000000000
#0 0x0000b0eb41fb <unknown>
#1 0x0000b0eb4802 <unknown>
#2 0x0000b0eb4ded <unknown>
#3 0x0000b7f50d10 ([vdso]+0xd0f)
#4 0x0000b7d02cc8 <unknown>
#5 0x0000b7d00ee5 <unknown>
#6 0x0000b7304e01 <unknown>
#7 0x0000b7305024 <unknown>
#8 0x0000b7304c7b <unknown>
#9 0x0000b6381cfe <unknown>
gs: 00000033 fs: 00000000 es: 0000007b ds: 0000007b
edi: 0000000f esi: 00000310 ebp: bfa730f8 esp: bfa730a8
ebx: b7d02cc8 edx: 0a3cc8ec ecx: 00000008 eax: 00000000
trp: 0000000e err: 00000004 ip: b7d02cc8 cs: 00000073
efl: 00210283 usp: bfa730a8 ss: 0000007b
[end of stack trace]
Calling _exit(1). Core file will not be generated.

According to my analysis, there are two potential problems:
a) the "device not open" might indicate that some (config) file is either not writeable, or the directory is not existing
b) the "shader" error I don't understand at all. It might be related to my graphics card driver, but I have not made any progress on that end.

Any idea would be highly appreciated!
Thanks, Andreas
--
You received this message because you are subscribed to the Google Groups "mnemosyne-proj-users" group.
To unsubscribe from this group and stop receiving emails from it, send an email to mnemosyne-proj-users+***@googlegroups.com<mailto:mnemosyne-proj-users+***@googlegroups.com>.
To post to this group, send email to mnemosyne-proj-***@googlegroups.com<mailto:mnemosyne-proj-***@googlegroups.com>.
To view this discussion on the web visit https://groups.google.com/d/msgid/mnemosyne-proj-users/3cae314b-e0e5-4961-bed5-295d9dab3207%40googlegroups.com<https://groups.google.com/d/msgid/mnemosyne-proj-users/3cae314b-e0e5-4961-bed5-295d9dab3207%40googlegroups.com?utm_medium=email&utm_source=footer>.
For more options, visit https://groups.google.com/d/optout.
--
You received this message because you are subscribed to the Google Groups "mnemosyne-proj-users" group.
To unsubscribe from this group and stop receiving emails from it, send an email to mnemosyne-proj-users+***@googlegroups.com<mailto:mnemosyne-proj-users+***@googlegroups.com>.
To post to this group, send email to mnemosyne-proj-***@googlegroups.com<mailto:mnemosyne-proj-***@googlegroups.com>.
To view this discussion on the web visit https://groups.google.com/d/msgid/mnemosyne-proj-users/adc4fbc3ff1145fab9bcafc449e20230%40xmail101.UGent.be<https://groups.google.com/d/msgid/mnemosyne-proj-users/adc4fbc3ff1145fab9bcafc449e20230%40xmail101.UGent.be?utm_medium=email&utm_source=footer>.
For more options, visit https://groups.google.com/d/optout.
--
You received this message because you are subscribed to the Google Groups "mnemosyne-proj-users" group.
To unsubscribe from this group and stop receiving emails from it, send an email to mnemosyne-proj-users+***@googlegroups.com<mailto:mnemosyne-proj-users+***@googlegroups.com>.
To post to this group, send email to mnemosyne-proj-***@googlegroups.com<mailto:mnemosyne-proj-***@googlegroups.com>.
To view this discussion on the web visit https://groups.google.com/d/msgid/mnemosyne-proj-users/CAC%2BmgacJj1J5GYHsNG%3DXFLqr_TcuGzoENV6r-xJJhmath6SVJg%40mail.gmail.com<https://groups.google.com/d/msgid/mnemosyne-proj-users/CAC%2BmgacJj1J5GYHsNG%3DXFLqr_TcuGzoENV6r-xJJhmath6SVJg%40mail.gmail.com?utm_medium=email&utm_source=footer>.
For more options, visit https://groups.google.com/d/optout.
--
You received this message because you are subscribed to the Google Groups "mnemosyne-proj-users" group.
To unsubscribe from this group and stop receiving emails from it, send an email to mnemosyne-proj-users+***@googlegroups.com.
To post to this group, send email to mnemosyne-proj-***@googlegroups.com.
To view this discussion on the web visit https://groups.google.com/d/msgid/mnemosyne-proj-users/042168f688e64ac79509735f2d7af496%40xmail101.UGent.be.
For more options, visit https://groups.google.com/d/optout.
Loading...